Package com.smartgwt.logicalstructure.widgets.layout

# Class LayoutLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure

Direct Known Subclasses:
  `AdaptiveMenuLogicalStructure`, `ColumnTreeLogicalStructure`, `DeckLogicalStructure`, `FilterBuilderLogicalStructure`, `HLayoutLogicalStructure`, `HStackLogicalStructure`, `ListPropertiesPaneLogicalStructure`, `MultiGroupPanelLogicalStructure`, `MultiSortPanelLogicalStructure`, `PortalLayoutLogicalStructure`, `ShuttleLogicalStructure`, `SplitPaneLogicalStructure`, `ToolbarLogicalStructure`, `ToolStripLogicalStructure`, `VLayoutLogicalStructure`, `VStackLogicalStructure`

public class LayoutLogicalStructure extends CanvasLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `alignAsString`
  `String`
  `animateMembers`
  `String`
  `animateMemberTime`
  `String`
  `canDropComponents`
  `String`
  `defaultLayoutAlignAsString`
  `String`
  `defaultResizeBars`
  `String`
  `dropLineThickness`
  `String`
  `editProxyConstructor`
  `String`
  `enforcePolicy`
  `String`
  `hPolicy`
  `String`
  `layoutBottomMargin`
  `String`
  `layoutEndMargin`
  `String`
  `layoutLeftMargin`
  `String`
  `layoutMargin`
  `String`
  `layoutRightMargin`
  `String`
  `layoutStartMargin`
  `String`
  `layoutTopMargin`
  `String`
  `leaveScrollbarGap`
  `String`
  `locateMembersBy`
  `String`
  `locateMembersType`
  `String`
  `managePercentBreadth`
  `String`
  `memberOverlap`
  `Canvas[]`
  `membersAsCanvasArray`
  `String[]`
  `membersAsStringArrayArray`
  `String`
  `membersMargin`
  `String`
  `minMemberLength`
  `String`
  `minMemberSize`
  `String`
  `overflow`
  `String`
  `paddingAsLayoutMargin`
  `String`
  `resizeBarClass`
  `String`
  `resizeBarSize`
  `String`
  `reverseOrder`
  `String`
  `showDragPlaceHolder`
  `String`
  `showDropLines`
  `String`
  `stackZIndex`
  `String`
  `vertical`
  `String`
  `vPolicy`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadiusAsString, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragReposition, canDragResize, canDragScroll, canDrop, canDropBefore, canDropContent, canDropFiles, canFocus, canHover, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, heightAsString, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shareCriteria, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showFocusOutline, showHover, showHoverComponents, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, skinImgDir, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, styleName, suppressRedraw, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDataContextCriteria, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, widthAsString, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LayoutLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### alignAsString

    public String alignAsString

  - ### animateMembers

    public String animateMembers

  - ### animateMemberTime

    public String animateMemberTime

  - ### canDropComponents

    public String canDropComponents

  - ### defaultLayoutAlignAsString

    public String defaultLayoutAlignAsString

  - ### defaultResizeBars

    public String defaultResizeBars

  - ### dropLineThickness

    public String dropLineThickness

  - ### editProxyConstructor

    public String editProxyConstructor

  - ### enforcePolicy

    public String enforcePolicy

  - ### hPolicy

    public String hPolicy

  - ### layoutBottomMargin

    public String layoutBottomMargin

  - ### layoutEndMargin

    public String layoutEndMargin

  - ### layoutLeftMargin

    public String layoutLeftMargin

  - ### layoutMargin

    public String layoutMargin

  - ### layoutRightMargin

    public String layoutRightMargin

  - ### layoutStartMargin

    public String layoutStartMargin

  - ### layoutTopMargin

    public String layoutTopMargin

  - ### leaveScrollbarGap

    public String leaveScrollbarGap

  - ### locateMembersBy

    public String locateMembersBy

  - ### locateMembersType

    public String locateMembersType

  - ### managePercentBreadth

    public String managePercentBreadth

  - ### memberOverlap

    public String memberOverlap

  - ### membersAsCanvasArray

    public Canvas[] membersAsCanvasArray

  - ### membersAsStringArrayArray

    public String[] membersAsStringArrayArray

  - ### membersMargin

    public String membersMargin

  - ### minMemberLength

    public String minMemberLength

  - ### minMemberSize

    public String minMemberSize

  - ### overflow

    public String overflow

  - ### paddingAsLayoutMargin

    public String paddingAsLayoutMargin

  - ### resizeBarClass

    public String resizeBarClass

  - ### resizeBarSize

    public String resizeBarSize

  - ### reverseOrder

    public String reverseOrder

  - ### showDragPlaceHolder

    public String showDragPlaceHolder

  - ### showDropLines

    public String showDropLines

  - ### stackZIndex

    public String stackZIndex

  - ### vertical

    public String vertical

  - ### vPolicy

    public String vPolicy

- ## Constructor Details

  - ### LayoutLogicalStructure

    public LayoutLogicalStructure()